### Hierarchy

- Placeholder

### Implements

- OnInit

## Index

### Inputs

- id

### Constructors

- constructor

### Properties

- id
- placeholderService
- viewContainerRef

### Methods

- ngOnInit

## Constructors

### constructor

- new Placeholder(placeholderService: PlaceholderService): Placeholder

- - Defined in src/placeholder/placeholder.component.ts:30

  #### Parameters

  - ##### placeholderService: PlaceholderService

  #### Returns Placeholder

## Properties

### id

@Input()
id: any

- Defined in src/placeholder/placeholder.component.ts:25

### placeholderService

placeholderService: PlaceholderService

- Defined in src/placeholder/placeholder.component.ts:35

### viewContainerRef

@ViewChild({"selector":"placeholder","opts":"{ read: ViewContainerRef, static: true }"})
viewContainerRef: ViewContainerRef

- Defined in src/placeholder/placeholder.component.ts:30

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in src/placeholder/placeholder.component.ts:40

  #### Returns void

Generated using TypeDoc